Index: /trunk/libIGCM/libIGCM_comp/libIGCM_comp.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_comp/libIGCM_comp.ksh	(revision 800)
+++ /trunk/libIGCM/libIGCM_comp/libIGCM_comp.ksh	(revision 801)
@@ -716,5 +716,5 @@
               # Look after the tar file we want if we did not found it already
               if [ X${IsMatching} = X ] ; then
-                for PotentialTarFile in $( find ${RestartPath}/${RestartJobName}/RESTART -name "${RestartJobName}_*_restart.tar" -print ) ; do
+                for PotentialTarFile in $( IGCM_sys_RshArchive "find ${RestartPath}/${RestartJobName}/RESTART -name "${RestartJobName}_*_restart.tar" -print" ) ; do
                   IsMatching=$( echo ${PotentialTarFile##*/} | \
                         sed "s:^${RestartJobName}_::" | \
@@ -728,6 +728,7 @@
                 done
               fi
-              IGCM_debug_Print 1 "tar xvf ${TarFileFound} ${comp}_${generic_restart_file_name_in}*.${extension_in}"
-              tar xvf ${TarFileFound} ${comp}_${generic_restart_file_name_in}*.${extension_in}
+              TarFileLocation=$( IGCM_sys_PrepareTaredRestart ${TarFileFound} )
+              IGCM_debug_Print 1 "tar xvf ${TarFileLocation} ${comp}_${generic_restart_file_name_in}*.${extension_in}"
+              tar xvf ${TarFileLocation} ${comp}_${generic_restart_file_name_in}*.${extension_in}
               nb_restart_file=$( IGCM_sys_CountFileBuffer ${comp}_${generic_restart_file_name_in}_????.${extension_in} )
             fi
@@ -819,5 +820,5 @@
             # Look after the tar file we want if we did not found it already
             if [ X${IsMatching} = X ] ; then
-              for PotentialTarFile in $( find ${R_SAVE}/RESTART -name "${config_UserChoices_JobName}_*_restart.tar" -print ) ; do
+              for PotentialTarFile in $( IGCM_sys_RshArchive "find ${R_SAVE}/RESTART -name "${config_UserChoices_JobName}_*_restart.tar" -print" ) ; do
                 IsMatching=$( echo ${PotentialTarFile##*/} | sed "s:^${config_UserChoices_JobName}_::" | sed "s:\.restart\.tar$::" | gawk -F_ -v restartdate=${LastPeriodDateEnd} '{if (($1 < restartdate) && ($2 >= restartdate)) {print $1"_"$2}}' )
                 if [ ! X${IsMatching} = X ] ; then
@@ -827,5 +828,7 @@
               done
             fi
-            tar xvf ${TarFileFound} ${comp}_${generic_restart_file_name_in}*.${extension_in}
+            TarFileLocation=$( IGCM_sys_PrepareTaredRestart ${TarFileFound} )
+            IGCM_debug_Print 1 "tar xvf ${TarFileLocation} ${comp}_${generic_restart_file_name_in}*.${extension_in}"
+            tar xvf ${TarFileLocation} ${comp}_${generic_restart_file_name_in}*.${extension_in}
             nb_restart_file=$( IGCM_sys_CountFileBuffer ${comp}_${generic_restart_file_name_in}_????.${extension_in} )
           fi
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh	(revision 800)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh	(revision 801)
@@ -1207,4 +1207,21 @@
   fi
   IGCM_debug_PopStack "IGCM_sys_PutBuffer_Rest"
+}
+
+#D-#==================================================
+#D-function IGCM_sys_PrepareTaredRestart
+#D-* Purpose: Prepare tared restart to be access by computing job.
+#D-* Examples:
+#D-
+function IGCM_sys_PrepareTaredRestart {
+  IGCM_debug_PushStack "IGCM_sys_PrepareTaredRestart" $@
+  if [ $DRYRUN = 0 ]; then
+    [ ! -f $( basename $1 ) ] && DEBUG_sys=false IGCM_sys_Get $1 .
+  else
+    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
+  fi
+  echo $( basename $1 )
+
+  IGCM_debug_PopStack "IGCM_sys_PrepareTaredRestart"
 }
 
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_cesium.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_cesium.ksh	(revision 800)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_cesium.ksh	(revision 801)
@@ -1022,4 +1022,15 @@
   fi
   IGCM_debug_PopStack "IGCM_sys_Put_Rest"
+}
+
+#D-#==================================================
+#D-function IGCM_sys_PrepareTaredRestart
+#D-* Purpose: Prepare tared restart to be access by computing job. Identity here.
+#D-* Examples:
+#D-
+function IGCM_sys_PrepareTaredRestart {
+  IGCM_debug_PushStack "IGCM_sys_PrepareTaredRestart" $@
+  echo $1
+  IGCM_debug_PopStack "IGCM_sys_PrepareTaredRestart"
 }
 
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh	(revision 800)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh	(revision 801)
@@ -1227,4 +1227,15 @@
   fi
   IGCM_debug_PopStack "IGCM_sys_PutBuffer_Rest"
+}
+
+#D-#==================================================
+#D-function IGCM_sys_PrepareTaredRestart
+#D-* Purpose: Prepare tared restart to be access by computing job. Identity here.
+#D-* Examples:
+#D-
+function IGCM_sys_PrepareTaredRestart {
+  IGCM_debug_PushStack "IGCM_sys_PrepareTaredRestart" $@
+  echo $1
+  IGCM_debug_PopStack "IGCM_sys_PrepareTaredRestart"
 }
 
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh	(revision 800)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh	(revision 801)
@@ -1027,4 +1027,15 @@
   fi
   IGCM_debug_PopStack "IGCM_sys_PutBuffer_Rest"
+}
+
+#D-#==================================================
+#D-function IGCM_sys_PrepareTaredRestart
+#D-* Purpose: Prepare tared restart to be access by computing job. Identity here.
+#D-* Examples:
+#D-
+function IGCM_sys_PrepareTaredRestart {
+  IGCM_debug_PushStack "IGCM_sys_PrepareTaredRestart" $@
+  echo $1
+  IGCM_debug_PopStack "IGCM_sys_PrepareTaredRestart"
 }
 
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_iitm.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_iitm.ksh	(revision 800)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_iitm.ksh	(revision 801)
@@ -892,4 +892,15 @@
 
 #D-#==================================================
+#D-function IGCM_sys_PrepareTaredRestart
+#D-* Purpose: Prepare tared restart to be access by computing job. Identity here.
+#D-* Examples:
+#D-
+function IGCM_sys_PrepareTaredRestart {
+  IGCM_debug_PushStack "IGCM_sys_PrepareTaredRestart" $@
+  echo $1
+  IGCM_debug_PopStack "IGCM_sys_PrepareTaredRestart"
+}
+
+#D-#==================================================
 #D-function IGCM_sys_Put_Out
 #D-* Purpose: Copy a file on $(ARCHIVE) after have chmod it in readonly
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercure.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercure.ksh	(revision 800)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercure.ksh	(revision 801)
@@ -1026,4 +1026,15 @@
   fi
   IGCM_debug_PopStack "IGCM_sys_PutBuffer_Rest"
+}
+
+#D-#==================================================
+#D-function IGCM_sys_PrepareTaredRestart
+#D-* Purpose: Prepare tared restart to be access by computing job. Identity here.
+#D-* Examples:
+#D-
+function IGCM_sys_PrepareTaredRestart {
+  IGCM_debug_PushStack "IGCM_sys_PrepareTaredRestart" $@
+  echo $1
+  IGCM_debug_PopStack "IGCM_sys_PrepareTaredRestart"
 }
 
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex9.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex9.ksh	(revision 800)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex9.ksh	(revision 801)
@@ -1140,4 +1140,15 @@
   fi
   IGCM_debug_PopStack "IGCM_sys_PutBuffer_Rest"
+}
+
+#D-#==================================================
+#D-function IGCM_sys_PrepareTaredRestart
+#D-* Purpose: Prepare tared restart to be access by computing job. Identity here.
+#D-* Examples:
+#D-
+function IGCM_sys_PrepareTaredRestart {
+  IGCM_debug_PushStack "IGCM_sys_PrepareTaredRestart" $@
+  echo $1
+  IGCM_debug_PopStack "IGCM_sys_PrepareTaredRestart"
 }
 
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh	(revision 800)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh	(revision 801)
@@ -1046,4 +1046,15 @@
   fi
   IGCM_debug_PopStack "IGCM_sys_PutBuffer_Rest"
+}
+
+#D-#==================================================
+#D-function IGCM_sys_PrepareTaredRestart
+#D-* Purpose: Prepare tared restart to be access by computing job. Identity here.
+#D-* Examples:
+#D-
+function IGCM_sys_PrepareTaredRestart {
+  IGCM_debug_PushStack "IGCM_sys_PrepareTaredRestart" $@
+  echo $1
+  IGCM_debug_PopStack "IGCM_sys_PrepareTaredRestart"
 }
 
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_titane.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_titane.ksh	(revision 800)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_titane.ksh	(revision 801)
@@ -1245,4 +1245,15 @@
   fi
   IGCM_debug_PopStack "IGCM_sys_PutBuffer_Rest"
+}
+
+#D-#==================================================
+#D-function IGCM_sys_PrepareTaredRestart
+#D-* Purpose: Prepare tared restart to be access by computing job. Identity here.
+#D-* Examples:
+#D-
+function IGCM_sys_PrepareTaredRestart {
+  IGCM_debug_PushStack "IGCM_sys_PrepareTaredRestart" $@
+  echo $1
+  IGCM_debug_PopStack "IGCM_sys_PrepareTaredRestart"
 }
 