Index: /trunk/libIGCM/AA_job
===================================================================
--- /trunk/libIGCM/AA_job	(revision 803)
+++ /trunk/libIGCM/AA_job	(revision 804)
@@ -152,8 +152,4 @@
 #SUBMIT_DIR=$( pwd )
 
-#D- Define BIG_DIR directory
-#D- Default=(strongly machine dependant/see libIGCM_sys for details)
-#BIG_DIR=/somewhere/with/lot/of/space/scratchdir/may/be
-
 #D- Define input file root directory
 #D- Default=/IGCMG/common/account/of/this/machine
@@ -167,5 +163,4 @@
 # | DRYRUN=  |  Date computations, | sys_Get    |  Exe    | sys_Put_Out; sys_Put_Rest |
 # |          |  Cp/Exe param files |            |  Chmod  |                           |
-# |          |      Qsub           |            |         |                           |
 # -------------------------------------------------------------------------------------
 # |    0     |       yes           |    yes     |  yes    |      yes                  |
@@ -237,5 +232,5 @@
 #D-  
 # --------------------------------------------------------------------==
-RUN_DIR=${RUN_DIR_PATH}/${config_UserChoices_TagName}/${config_UserChoices_JobName}.${$}
+RUN_DIR=${RUN_DIR_PATH}/${config_UserChoices_JobName}.${$}
 IGCM_sys_MkdirWork ${RUN_DIR}
 IGCM_sys_Cd ${RUN_DIR}
Index: /trunk/libIGCM/libIGCM_comp/libIGCM_comp.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_comp/libIGCM_comp.ksh	(revision 803)
+++ /trunk/libIGCM/libIGCM_comp/libIGCM_comp.ksh	(revision 804)
@@ -79,8 +79,8 @@
 
     eval R_OUT_${comp}_R=\${R_OUT_${comp}}/Restart
-    eval IGCM_sys_MkdirArchive \${R_OUT_${comp}_R}
+    [ ${config_Post_PackFrequency} = NONE ] && eval IGCM_sys_MkdirArchive \${R_OUT_${comp}_R}
 
     eval R_OUT_${comp}_D=\${R_OUT_${comp}}/Debug
-    eval IGCM_sys_MkdirArchive \${R_OUT_${comp}_D}
+    [ ${config_Post_PackFrequency} = NONE ] && eval IGCM_sys_MkdirArchive \${R_OUT_${comp}_D}
 
     eval R_OUT_${comp}_O_I=\${R_OUT_${comp}_O}/INS
@@ -91,21 +91,23 @@
 
     # Define BUFFERED Dirs
-    eval R_BUF_${comp}=${R_BUFR}/${comp}
-    eval IGCM_sys_Mkdir \${R_BUF_${comp}}
-
-    eval R_BUF_${comp}_O=\${R_BUF_${comp}}/Output
-    eval IGCM_sys_Mkdir \${R_BUF_${comp}_O}
-
-    eval R_BUF_${comp}_R=\${R_BUF_${comp}}/Restart
-    eval IGCM_sys_Mkdir \${R_BUF_${comp}_R}
-
-    eval R_BUF_${comp}_D=\${R_BUF_${comp}}/Debug
-    eval IGCM_sys_Mkdir \${R_BUF_${comp}_D}
-
-    eval R_BUF_${comp}_O_I=\${R_BUF_${comp}_O}/INS
-    eval R_BUF_${comp}_O_H=\${R_BUF_${comp}_O}/HF
-    eval R_BUF_${comp}_O_D=\${R_BUF_${comp}_O}/DA
-    eval R_BUF_${comp}_O_M=\${R_BUF_${comp}_O}/MO
-    eval R_BUF_${comp}_O_Y=\${R_BUF_${comp}_O}/YE
+    if [ ! ${config_Post_PackFrequency} = NONE ] ; then
+      eval R_BUF_${comp}=${R_BUFR}/${comp}
+      eval IGCM_sys_Mkdir \${R_BUF_${comp}}
+
+      eval R_BUF_${comp}_O=\${R_BUF_${comp}}/Output
+      eval IGCM_sys_Mkdir \${R_BUF_${comp}_O}
+
+      eval R_BUF_${comp}_R=\${R_BUF_${comp}}/Restart
+      eval IGCM_sys_Mkdir \${R_BUF_${comp}_R}
+
+      eval R_BUF_${comp}_D=\${R_BUF_${comp}}/Debug
+      eval IGCM_sys_Mkdir \${R_BUF_${comp}_D}
+
+      eval R_BUF_${comp}_O_I=\${R_BUF_${comp}_O}/INS
+      eval R_BUF_${comp}_O_H=\${R_BUF_${comp}_O}/HF
+      eval R_BUF_${comp}_O_D=\${R_BUF_${comp}_O}/DA
+      eval R_BUF_${comp}_O_M=\${R_BUF_${comp}_O}/MO
+      eval R_BUF_${comp}_O_Y=\${R_BUF_${comp}_O}/YE
+    fi
 
     # Read UserChoices section of component card
@@ -113,4 +115,5 @@
     IGCM_card_DefineArrayFromSection ${card} UserChoices
     eval first_option=\${${compname}_UserChoices[0]} > /dev/null 2>&1
+
     # If section is not empty we define corresponding variables
     if [ X${first_option} != X"Error:" ] ; then
@@ -991,4 +994,89 @@
     card=${SUBMIT_DIR}/COMP/${compname}.card
 
+    # Save Output Text files of models
+    #---------------------------------
+    IGCM_debug_Print 2 "Save Output Text files for ${comp} : ${compname} component."
+    IGCM_card_DefineArrayFromOption ${card} OutputText List
+    ListTextName=${compname}_OutputText_List
+
+    eval TextName0=\${${ListTextName}[0]} > /dev/null 2>&1
+    if [ X${TextName0} != X${NULL_STR} ] ; then
+      eval NbFiles=\${#${ListTextName}[@]} > /dev/null 2>&1
+
+      (( i=0 ))
+      until [ $i -eq $NbFiles ]; do
+        eval file_in=\${${ListTextName}[$i]} > /dev/null 2>&1
+        eval file_out=${PREFIX}_${file_in}
+
+        (( i=i+1 ))
+
+        unset list_file
+        #set +A list_file -- $( ls ${file_in}* | sort 2>/dev/null )
+        # result for a a1 a10 a2 with file_in=a a a1 a2 a10
+        set +A list_file -- $( [ -f ${file_in} ] && ls ${file_in} ; for i in $(ls ${file_in}* 2>/dev/null | sed "s/${file_in}//" | sort -n) ; do ls ${file_in}$i ; done )
+        nlist_file=${#list_file[@]}
+        if [ ${nlist_file} -gt 1 ] ; then
+          if ( ${compactoutputs} ) ; then
+            IGCM_debug_Print 2 "Parallelism of Text Output with ${nlist_file} files."
+            IGCM_debug_Print 2 "Compact files in ${file_out} : " ${list_file[*]}
+            echo ${list_file[*]} > ${file_out}
+            echo "
+" >> ${file_out}
+
+            (( i_ = 0 ))
+            for file in ${list_file[@]}
+            do
+              echo "_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ " >> ${file_out}
+              echo "| " ${i_} " " ${file} >> ${file_out}
+              echo "- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - " >> ${file_out}
+              cat ${file} | sed "s/\(.*\)/${i_}\1/" ${file} >> ${file_out}
+              echo "
+" >> ${file_out}
+              eval FileToBeDeleted[${#FileToBeDeleted[@]}]="${file}" > /dev/null 2>&1
+                  (( i_ = i_ + 1 ))
+            done
+            if [ X${Pack} = Xtrue ] ; then
+              eval IGCM_sys_PutBuffer_Out ${file_out} \${R_BUF_${comp}_D}/${file_out}
+            else
+              eval IGCM_sys_Put_Out ${file_out} \${R_OUT_${comp}_D}/${file_out}
+            fi
+            eval FileToBeDeleted[${#FileToBeDeleted[@]}]="${file_out}" > /dev/null 2>&1
+
+            if ( ${ExecutionFail} ) ; then
+              IGCM_sys_Cp ${file_out} ${SUBMIT_DIR}/Debug
+            fi
+          else
+            for file in ${list_file[@]}
+            do
+              if [ X${Pack} = Xtrue ] ; then
+                eval IGCM_sys_PutBuffer_Out ${file} \${R_BUF_${comp}_D}/${PREFIX}_${file}
+              else
+                eval IGCM_sys_Put_Out ${file} \${R_OUT_${comp}_D}/${PREFIX}_${file}
+              fi
+              eval FileToBeDeleted[${#FileToBeDeleted[@]}]="${file}" > /dev/null 2>&1
+
+              if ( ${ExecutionFail} ) ; then
+                IGCM_sys_Cp ${file} ${SUBMIT_DIR}/Debug/${PREFIX}_${file}
+              fi
+            done
+          fi
+        else
+          if ( [ -f ${file_in}_0000 ] || [ -f ${file_in}0 ] ) ; then
+            eval IGCM_sys_Mv ${file_in}* ${file_in}
+          fi
+          if [ X${Pack} = Xtrue ] ; then
+            eval IGCM_sys_PutBuffer_Out ${file_in} \${R_BUF_${comp}_D}/${file_out}
+          else
+            eval IGCM_sys_Put_Out ${file_in} \${R_OUT_${comp}_D}/${file_out}
+          fi
+          eval FileToBeDeleted[${#FileToBeDeleted[@]}]="${file_in}" > /dev/null 2>&1
+
+          if ( ${ExecutionFail} ) ; then
+            IGCM_sys_Cp ${file_in} ${SUBMIT_DIR}/Debug/${file_out}
+          fi
+        fi
+      done
+    fi
+
     # Save Restarts files
     #--------------------
@@ -1096,8 +1184,8 @@
         #
         if ( [ ${nb_rebuild_file} -eq 1 ] && [ -f ${generic_file_name}_0000.nc ] ) ; then
-          IGCM_debug_Print 2 "Parallelism with 1 process. Rebuilding ${file_in} not needed"
+          IGCM_debug_Print 2 "Parallelism with 1 file. Rebuilding ${file_in} not needed"
           IGCM_sys_Mv ${generic_file_name}_0000.nc ${file_in}
         elif [ ${nb_rebuild_file} -gt 1 ] ; then
-          IGCM_debug_Print 2 "Parallelism detected rebuilding ${file_in} is needed"
+          IGCM_debug_Print 2 "Parallelism detected and rebuilding ${file_in} is needed"
           if [ X${AsynchronousRebuild} = Xfalse ] ; then
             IGCM_debug_Print 2 "Rebuilding ${file_in} online"
@@ -1219,89 +1307,4 @@
       done
     fi
-
-    # Save Output Text files of models
-    #---------------------------------
-    IGCM_debug_Print 2 "Save Output Text files for ${comp} : ${compname} component."
-    IGCM_card_DefineArrayFromOption ${card} OutputText List
-    ListTextName=${compname}_OutputText_List
-
-    eval TextName0=\${${ListTextName}[0]} > /dev/null 2>&1
-    if [ X${TextName0} != X${NULL_STR} ] ; then
-      eval NbFiles=\${#${ListTextName}[@]} > /dev/null 2>&1
-
-      (( i=0 ))
-      until [ $i -eq $NbFiles ]; do
-        eval file_in=\${${ListTextName}[$i]} > /dev/null 2>&1
-        eval file_out=${PREFIX}_${file_in}
-
-        (( i=i+1 ))
-
-        unset list_file
-        #set +A list_file -- $( ls ${file_in}* | sort 2>/dev/null )
-        # result for a a1 a10 a2 with file_in=a a a1 a2 a10
-        set +A list_file -- $( [ -f ${file_in} ] && ls ${file_in} ; for i in $(ls ${file_in}* 2>/dev/null | sed "s/${file_in}//" | sort -n) ; do ls ${file_in}$i ; done )
-        nlist_file=${#list_file[@]}
-        if [ ${nlist_file} -gt 1 ] ; then
-          if ( ${compactoutputs} ) ; then
-            IGCM_debug_Print 2 "Parallelism of Text Output with ${nlist_file} files."
-            IGCM_debug_Print 2 "Compact files in ${file_out} : " ${list_file[*]}
-            echo ${list_file[*]} > ${file_out}
-            echo "
-" >> ${file_out}
-
-            (( i_ = 0 ))
-            for file in ${list_file[@]}
-            do
-              echo "_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ " >> ${file_out}
-              echo "| " ${i_} " " ${file} >> ${file_out}
-              echo "- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - " >> ${file_out}
-              cat ${file} | sed "s/\(.*\)/${i_}\1/" ${file} >> ${file_out}
-              echo "
-" >> ${file_out}
-              eval FileToBeDeleted[${#FileToBeDeleted[@]}]="${file}" > /dev/null 2>&1
-                  (( i_ = i_ + 1 ))
-            done
-            if [ X${Pack} = Xtrue ] ; then
-              eval IGCM_sys_PutBuffer_Out ${file_out} \${R_BUF_${comp}_D}/${file_out}
-            else
-              eval IGCM_sys_Put_Out ${file_out} \${R_OUT_${comp}_D}/${file_out}
-            fi
-            eval FileToBeDeleted[${#FileToBeDeleted[@]}]="${file_out}" > /dev/null 2>&1
-
-            if ( ${ExecutionFail} ) ; then
-              IGCM_sys_Cp ${file_out} ${SUBMIT_DIR}/Debug
-            fi
-          else
-            for file in ${list_file[@]}
-            do
-              if [ X${Pack} = Xtrue ] ; then
-                eval IGCM_sys_PutBuffer_Out ${file} \${R_BUF_${comp}_D}/${PREFIX}_${file}
-              else
-                eval IGCM_sys_Put_Out ${file} \${R_OUT_${comp}_D}/${PREFIX}_${file}
-              fi
-              eval FileToBeDeleted[${#FileToBeDeleted[@]}]="${file}" > /dev/null 2>&1
-
-              if ( ${ExecutionFail} ) ; then
-                IGCM_sys_Cp ${file} ${SUBMIT_DIR}/Debug/${PREFIX}_${file}
-              fi
-            done
-          fi
-        else
-          if ( [ -f ${file_in}_0000 ] || [ -f ${file_in}0 ] ) ; then
-            eval IGCM_sys_Mv ${file_in}* ${file_in}
-          fi
-          if [ X${Pack} = Xtrue ] ; then
-            eval IGCM_sys_PutBuffer_Out ${file_in} \${R_BUF_${comp}_D}/${file_out}
-          else
-            eval IGCM_sys_Put_Out ${file_in} \${R_OUT_${comp}_D}/${file_out}
-          fi
-          eval FileToBeDeleted[${#FileToBeDeleted[@]}]="${file_in}" > /dev/null 2>&1
-
-          if ( ${ExecutionFail} ) ; then
-            IGCM_sys_Cp ${file_in} ${SUBMIT_DIR}/Debug/${file_out}
-          fi
-        fi
-      done
-    fi
     echo
   done
Index: /trunk/libIGCM/libIGCM_config/libIGCM_config.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_config/libIGCM_config.ksh	(revision 803)
+++ /trunk/libIGCM/libIGCM_config/libIGCM_config.ksh	(revision 804)
@@ -76,4 +76,5 @@
   # Define default value to keep compatibility with previous card: means before changes due to TGCC
   # Apply some overrules to ensure proper usage of computing centres resources
+  #
   if [ X${PackDefault} = Xtrue ] ; then
     # If we DO apply pack in this computing center
@@ -129,8 +130,8 @@
   # Define REBUILD_DIR : where we store files needing rebuild process
   if [ X${config_Post_RebuildFromArchive} = Xtrue ] ; then
-    REBUILD_DIR=${R_SAVE}/TMP
+    REBUILD_DIR=${R_SAVE}/REBUILD
     IGCM_sys_MkdirArchive ${REBUILD_DIR}
   else
-    REBUILD_DIR=${BIG_DIR}/${config_UserChoices_TagName}/${config_UserChoices_JobName}
+    REBUILD_DIR=${R_BUFR}/REBUILD
     IGCM_sys_MkdirWork ${REBUILD_DIR}
   fi
@@ -1208,10 +1209,10 @@
 
   # Supress Non Deleted Boundary files
-  if [ ${DRYRUN} -le 2 ] ; then
-    IGCM_comp_DelFixeBoundaryFiles
-    ls -la
-  fi
-
-  # Clean ${RUN_DIR}=${RUN_DIR_PATH}/${config_UserChoices_TagName}/${config_UserChoices_JobName}
+  #if [ ${DRYRUN} -le 2 ] ; then
+  #  IGCM_comp_DelFixeBoundaryFiles
+  #  ls -la
+  #fi
+
+  # Clean ${RUN_DIR}=${RUN_DIR_PATH}/${config_UserChoices_JobName}.${$}
   # Only for production run (No clean up in DEV or DEB mode)
   # and command sent from .. directory.
Index: /trunk/libIGCM/libIGCM_post/libIGCM_post.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_post/libIGCM_post.ksh	(revision 803)
+++ /trunk/libIGCM/libIGCM_post/libIGCM_post.ksh	(revision 804)
@@ -448,4 +448,5 @@
     # -----------------------------------------------------------------------------------
     # Function IGCM_FlushPost called by pack_output.job has not been closed yet. Do it now
+    # Will submit Time Series OR Seasonal Average if needed 
     # -----------------------------------------------------------------------------------
     if [ -f ${R_BUFR}/FlushPost_${PeriodDateEnd}.ksh ] ; then
@@ -518,36 +519,32 @@
     Script_Post_Output=${script}.${PeriodDateEnd}
     #
-    if [ ${RebuildFrequency} = true ] ; then
-      #
-      if [ -f ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh ] ; then
-        #
+    if ( [ ${RebuildFrequency} = true ] && [ -f ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh ] ) ; then
 #       if [ X${MASTER} = Xtitane ] ; then
 #         echo "IGCM_sys_RshPost <<-EOF"                     >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
 #       fi
-        echo "export DEBUG_debug=${DEBUG_debug}              " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-        echo "export MODIPSL=${MODIPSL}                      " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-        echo "export libIGCM_SX=${libIGCM}                   " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-        echo "export libIGCM=${libIGCM_POST}                 " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-        echo "export SUBMIT_DIR=${SUBMIT_DIR}                " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-        echo "export POST_DIR=${POST_DIR}                    " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-        echo "export MASTER=${MASTER}                        " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-        echo "export DateBegin=${PackDateBegin}              " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-        echo "export DateEnd=${PeriodDateEnd}                " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-        echo "export PeriodPack=${config_Post_PackFrequency} " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-        echo "export StandAlone=false                        " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-        echo "export listVarEnv=${listVarEnv}                " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-        echo "export Script_Post_Output=${Script_Post_Output}" >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-        echo "export script=${script}                        " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+      echo "export DEBUG_debug=${DEBUG_debug}              " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+      echo "export MODIPSL=${MODIPSL}                      " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+      echo "export libIGCM_SX=${libIGCM}                   " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+      echo "export libIGCM=${libIGCM_POST}                 " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+      echo "export SUBMIT_DIR=${SUBMIT_DIR}                " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+      echo "export POST_DIR=${POST_DIR}                    " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+      echo "export MASTER=${MASTER}                        " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+      echo "export DateBegin=${PackDateBegin}              " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+      echo "export DateEnd=${PeriodDateEnd}                " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+      echo "export PeriodPack=${config_Post_PackFrequency} " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+      echo "export StandAlone=false                        " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+      echo "export listVarEnv=${listVarEnv}                " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+      echo "export Script_Post_Output=${Script_Post_Output}" >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+      echo "export script=${script}                        " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
 #       if [ X${MASTER} = Xtitane ] ; then
 #         echo ". ${libIGCM_POST}/libIGCM_debug/libIGCM_debug.ksh" >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
 #         echo ". ${libIGCM_POST}/libIGCM_sys/libIGCM_sys.ksh"     >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
 #       fi
-        echo "IGCM_sys_MkdirWork ${POST_DIR}                 " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-        echo "IGCM_debug_Verif_Exit_Post                     " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-        echo "IGCM_sys_QsubPost ${script}                    " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+      echo "IGCM_sys_MkdirWork ${POST_DIR}                 " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+      echo "IGCM_debug_Verif_Exit_Post                     " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+      echo "IGCM_sys_QsubPost ${script}                    " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
 #       if [ X${MASTER} = Xtitane ] ; then
 #         echo "EOF"                                         >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
 #       fi
-      fi
     else
       IGCM_sys_RshPost <<-EOF
@@ -577,5 +574,5 @@
 
   #============== REBUILD POST-PROCESSING =============#
-  if [ X${AsynchronousRebuild} = Xtrue ] ; then
+  if ( [ X${AsynchronousRebuild} = Xtrue ] && [ -f ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh ] ) ; then
     # -----------------------------------------------------------------------------------
     # Function IGCM_FlushRebuild define in rebuild.ksh has not been closed yet. Do it now
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh	(revision 803)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh	(revision 804)
@@ -147,8 +147,4 @@
 #- R_BUF (ONLY FOR double copy an scratch)
 typeset -r R_BUF=${WORKDIR}/IGCM_OUT
-
-#====================================================
-#- BIG_DIR : BIG_DIR to store files waiting for rebuild
-typeset -r BIG_DIR=${BIG_DIR:=${WORKDIR}/REBUILD}
 
 #====================================================
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh	(revision 803)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh	(revision 804)
@@ -172,18 +172,10 @@
 
 #====================================================
-#- BIG_DIR : BIG_DIR to store files waiting for rebuild
-typeset -r BIG_DIR=${BIG_DIR:=${SCRATCHDIR}/REBUILD}
-
-#====================================================
 #- RUN_DIR_PATH : Temporary working directory (=> TMP)
-if [ X${TaskType} = Xcomputing ] ; then
-  typeset -r RUN_DIR_PATH=${RUN_DIR_PATH:=${SCRATCHDIR}/RUN_DIR/${BRIDGE_MSUB_JOBID}}
-else
-  typeset -r RUN_DIR_PATH=${RUN_DIR_PATH:=${SCRATCHDIR}/TMPDIR_IGCM/${BRIDGE_MSUB_JOBID}}
-fi
+typeset -r RUN_DIR_PATH=${RUN_DIR_PATH:=${SCRATCHDIR}/RUN_DIR/${BRIDGE_MSUB_JOBID}}
 
 #====================================================
 #- HOST_MPIRUN_COMMAND
-typeset -r HOST_MPIRUN_COMMAND=${HOST_MPIRUN_COMMAND:="/usr/bin/time ccc_mprun"}
+typeset -r HOST_MPIRUN_COMMAND=${HOST_MPIRUN_COMMAND:="/usr/bin/time ccc_mprun -E'-K1'"}
 
 #====================================================
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh	(revision 803)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh	(revision 804)
@@ -133,8 +133,4 @@
 #- R_BUF (ONLY FOR double copy an scratch)
 typeset -r R_BUF=${STORAGE}/IGCM_OUT
-
-#====================================================
-#- BIG_DIR : BIG_DIR to store files waiting for rebuild
-typeset -r BIG_DIR=${BIG_DIR:=${STORAGE}/REBUILD}
 
 #====================================================
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_iitm.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_iitm.ksh	(revision 803)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_iitm.ksh	(revision 804)
@@ -119,8 +119,4 @@
 
 #====================================================
-#- BIG_DIR : BIG_DIR to store files waiting for rebuild
-typeset -r BIG_DIR=${BIG_DIR:=${ARCHIVE}/REBUILD}
-
-#====================================================
 #- HOST_MPIRUN_COMMAND
 typeset -r HOST_MPIRUN_COMMAND=${HOST_MPIRUN_COMMAND:="time poe"}
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercure.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercure.ksh	(revision 803)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercure.ksh	(revision 804)
@@ -132,8 +132,4 @@
 #- R_BUF (ONLY FOR double copy an scratch)
 typeset -r R_BUF=${SCRATCHDIR}/IGCM_OUT
-
-#====================================================
-#- BIG_DIR : BIG_DIR to store files waiting for rebuild
-typeset -r BIG_DIR=${BIG_DIR:=${SCRATCHDIR}/REBUILD}
 
 #====================================================
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex9.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex9.ksh	(revision 803)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_mercurex9.ksh	(revision 804)
@@ -153,8 +153,4 @@
 #- R_BUF (ONLY FOR double copy an scratch)
 typeset -r R_BUF=${SCRATCHDIR}/IGCM_OUT
-
-#====================================================
-#- BIG_DIR : BIG_DIR to store files waiting for rebuild
-typeset -r BIG_DIR=${BIG_DIR:=${SCRATCHDIR}/REBUILD}
 
 #====================================================
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh	(revision 803)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh	(revision 804)
@@ -141,8 +141,4 @@
 #- R_BUF (ONLY FOR double copy an scratch)
 typeset -r R_BUF=${STORAGE}/IGCM_OUT
-
-#====================================================
-#- BIG_DIR : BIG_DIR to store files waiting for rebuild
-typeset -r BIG_DIR=${BIG_DIR:=${STORAGE}/REBUILD}
 
 #====================================================
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_titane.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_titane.ksh	(revision 803)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_titane.ksh	(revision 804)
@@ -168,8 +168,4 @@
 #- R_BUF (ONLY FOR double copy an scratch)
 typeset -r R_BUF=${SCRATCHDIR}/IGCM_OUT
-
-#====================================================
-#- BIG_DIR : BIG_DIR to store files waiting for rebuild
-typeset -r BIG_DIR=${BIG_DIR:=${SCRATCHDIR}/REBUILD}
 
 #====================================================
Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_vargas.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_vargas.ksh	(revision 803)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_vargas.ksh	(revision 804)
@@ -127,8 +127,4 @@
 #- RUN_DIR_PATH : Temporary working directory (=> TMP)
 typeset -r RUN_DIR_PATH=${RUN_DIR_PATH:=${TMPDIR}}
-
-#====================================================
-#- BIG_DIR : BIG_DIR to store files waiting for rebuild
-typeset -r BIG_DIR=${BIG_DIR:=${WORKDIR}/REBUILD}
 
 #====================================================