Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh	(revision 826)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh	(revision 828)
@@ -915,6 +915,4 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
 
@@ -961,6 +959,4 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_Put_Dir"
@@ -1029,6 +1025,4 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_Get_Dir"
@@ -1079,6 +1073,4 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_Get_Master"
@@ -1148,6 +1140,4 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_Put_Rest"
@@ -1191,6 +1181,4 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_PutBuffer_Rest"
@@ -1206,6 +1194,4 @@
   if [ $DRYRUN = 0 ]; then
     [ ! -f $( basename $1 ) ] && DEBUG_sys=false IGCM_sys_Get $1 .
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   echo $( basename $1 )
@@ -1274,6 +1260,4 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_Put_Out"
@@ -1364,6 +1348,4 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_PutBuffer_Out"
@@ -1440,6 +1422,4 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_Get"
@@ -1524,6 +1504,4 @@
       fi
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_GetBuffer"
@@ -1601,6 +1579,4 @@
       IGCM_debug_Exit "IGCM_sys_Put_Dods"
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_Put_Dods"
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh	(revision 826)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh	(revision 828)
@@ -956,6 +956,4 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
 
@@ -996,6 +994,4 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_Put_Dir"
@@ -1053,6 +1049,4 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_Get_Dir"
@@ -1103,6 +1097,4 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_Get_Master"
@@ -1168,6 +1160,4 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_Put_Rest"
@@ -1212,6 +1202,4 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_PutBuffer_Rest"
@@ -1227,6 +1215,4 @@
   if [ $DRYRUN = 0 ]; then
     [ ! -f $( basename $1 ) ] && DEBUG_sys=false IGCM_sys_Get $1 .
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   echo $( basename $1 )
@@ -1348,6 +1334,4 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_Put_Out"
@@ -1438,6 +1422,4 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_PutBuffer_Out"
@@ -1590,6 +1572,4 @@
       fi
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_Get"
@@ -1674,6 +1654,4 @@
       fi
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_GetBuffer"
@@ -1744,6 +1722,4 @@
 #    fi
 
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   return $status
@@ -1779,6 +1755,4 @@
 #       fi
 
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   return $status
@@ -1828,6 +1802,4 @@
       IGCM_debug_Exit "IGCM_sys_Put_Dods"
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_Put_Dods"
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh	(revision 826)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh	(revision 828)
@@ -831,6 +831,4 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
 
@@ -871,6 +869,4 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_Put_Dir"
@@ -907,6 +903,4 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_Get_Dir"
@@ -957,6 +951,4 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_Get_Master"
@@ -1020,6 +1012,4 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_Put_Rest"
@@ -1063,6 +1053,4 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_PutBuffer_Rest"
@@ -1124,6 +1112,4 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_Put_Out"
@@ -1214,6 +1200,4 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_PutBuffer_Out"
@@ -1263,6 +1247,4 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_Get"
@@ -1347,6 +1329,4 @@
       fi
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_GetBuffer"
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_iitm.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_iitm.ksh	(revision 826)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_iitm.ksh	(revision 828)
@@ -890,6 +890,4 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
 
@@ -930,6 +928,4 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_Put_Dir"
@@ -966,6 +962,4 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_Get_Dir"
@@ -1016,6 +1010,4 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_Get_Master"
@@ -1065,6 +1057,4 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_Put_Rest"
@@ -1108,6 +1098,4 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_PutBuffer_Rest"
@@ -1164,6 +1152,4 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_Put_Out"
@@ -1254,6 +1240,4 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_PutBuffer_Out"
@@ -1310,6 +1294,4 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_Get"
@@ -1394,6 +1376,4 @@
       fi
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_GetBuffer"
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh	(revision 826)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh	(revision 828)
@@ -857,8 +857,5 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
-  fi
-
+  fi
   IGCM_debug_PopStack "IGCM_sys_Mv"
 }
@@ -897,6 +894,4 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_Put_Dir"
@@ -933,6 +928,4 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_Get_Dir"
@@ -983,6 +976,4 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_Get_Master"
@@ -1046,6 +1037,4 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_Put_Rest"
@@ -1089,6 +1078,4 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_PutBuffer_Rest"
@@ -1150,6 +1137,4 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_Put_Out"
@@ -1240,6 +1225,4 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_PutBuffer_Out"
@@ -1289,6 +1272,4 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_Get"
@@ -1373,6 +1354,4 @@
       fi
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_GetBuffer"
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_titane.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_titane.ksh	(revision 826)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_titane.ksh	(revision 828)
@@ -485,6 +485,4 @@
       IGCM_debug_Exit "IGCM_sys_Chmod"
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_Chmod"
@@ -987,8 +985,5 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
-  fi
-
+  fi
   IGCM_debug_PopStack "IGCM_sys_Mv"
 }
@@ -1027,6 +1022,4 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_Put_Dir"
@@ -1085,6 +1078,4 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_Get_Dir"
@@ -1135,6 +1126,4 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_Get_Master"
@@ -1196,6 +1185,4 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_Put_Rest"
@@ -1237,6 +1224,4 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_PutBuffer_Rest"
@@ -1373,6 +1358,4 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_Put_Out"
@@ -1456,6 +1439,4 @@
       \rm out_rsync
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_PutBuffer_Out"
@@ -1608,6 +1589,4 @@
       fi
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_Get"
@@ -1692,6 +1671,4 @@
       fi
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_GetBuffer"
@@ -1762,6 +1739,4 @@
 #	fi
 
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   return $status
@@ -1797,6 +1772,4 @@
 #       fi
 
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   return $status
@@ -1846,6 +1819,4 @@
       IGCM_debug_Exit "IGCM_sys_Put_Dods"
     fi
-  else
-    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
   fi
   IGCM_debug_PopStack "IGCM_sys_Put_Dods"