Index: /trunk/libIGCM/AA_RunChecker
===================================================================
--- /trunk/libIGCM/AA_RunChecker	(revision 831)
+++ /trunk/libIGCM/AA_RunChecker	(revision 832)
@@ -359,13 +359,13 @@
 
 . ${libIGCM}/libIGCM_debug/libIGCM_debug.ksh
-     ( ${DEBUG_debug} ) && IGCM_debug_Check
 . ${libIGCM}/libIGCM_card/libIGCM_card.ksh
-     ( ${DEBUG_debug} ) && IGCM_card_Check
 . ${libIGCM}/libIGCM_date/libIGCM_date.ksh
-     ( ${DEBUG_debug} ) && IGCM_date_Check
 #-------
 . ${libIGCM}/libIGCM_sys/libIGCM_sys.ksh
 . ${libIGCM}/libIGCM_config/libIGCM_config.ksh
-
+#-------
+( ${DEBUG_debug} ) && IGCM_debug_Check
+( ${DEBUG_debug} ) && IGCM_card_Check
+( ${DEBUG_debug} ) && IGCM_date_Check
 
 JobName=$1
Index: /trunk/libIGCM/AA_SE_Checker
===================================================================
--- /trunk/libIGCM/AA_SE_Checker	(revision 831)
+++ /trunk/libIGCM/AA_SE_Checker	(revision 832)
@@ -55,12 +55,13 @@
 
 . ${libIGCM}/libIGCM_debug/libIGCM_debug.ksh
-       ( ${DEBUG_debug} ) && IGCM_debug_Check
 . ${libIGCM}/libIGCM_card/libIGCM_card.ksh
-       ( ${DEBUG_debug} ) && IGCM_card_Check
 . ${libIGCM}/libIGCM_date/libIGCM_date.ksh
-       ( ${DEBUG_debug} ) && IGCM_date_Check
 #-------
 . ${libIGCM}/libIGCM_sys/libIGCM_sys.ksh
 . ${libIGCM}/libIGCM_config/libIGCM_config.ksh
+#-------
+( ${DEBUG_debug} ) && IGCM_debug_Check
+( ${DEBUG_debug} ) && IGCM_card_Check
+( ${DEBUG_debug} ) && IGCM_date_Check
 
 ########################################################################
Index: /trunk/libIGCM/AA_SaveSourceModifications
===================================================================
--- /trunk/libIGCM/AA_SaveSourceModifications	(revision 831)
+++ /trunk/libIGCM/AA_SaveSourceModifications	(revision 832)
@@ -72,8 +72,9 @@
 
 . ${libIGCM}/libIGCM_debug/libIGCM_debug.ksh
-      ( ${DEBUG_debug} ) && IGCM_debug_Check
 #-------
 . ${libIGCM}/libIGCM_sys/libIGCM_sys.ksh
 . ${libIGCM}/libIGCM_config/libIGCM_config.ksh
+#-------
+( ${DEBUG_debug} ) && IGCM_debug_Check
 
 IGCM_sys_MkdirWork ${RUN_DIR_PATH}
Index: /trunk/libIGCM/AA_TimeSeries_Checker
===================================================================
--- /trunk/libIGCM/AA_TimeSeries_Checker	(revision 831)
+++ /trunk/libIGCM/AA_TimeSeries_Checker	(revision 832)
@@ -55,12 +55,13 @@
 
 . ${libIGCM}/libIGCM_debug/libIGCM_debug.ksh
-       ( ${DEBUG_debug} ) && IGCM_debug_Check
 . ${libIGCM}/libIGCM_card/libIGCM_card.ksh
-       ( ${DEBUG_debug} ) && IGCM_card_Check
 . ${libIGCM}/libIGCM_date/libIGCM_date.ksh
-       ( ${DEBUG_debug} ) && IGCM_date_Check
 #-------
 . ${libIGCM}/libIGCM_sys/libIGCM_sys.ksh
 . ${libIGCM}/libIGCM_config/libIGCM_config.ksh
+#-------
+( ${DEBUG_debug} ) && IGCM_debug_Check
+( ${DEBUG_debug} ) && IGCM_card_Check
+( ${DEBUG_debug} ) && IGCM_date_Check
 
 ########################################################################
Index: /trunk/libIGCM/AA_additionnal
===================================================================
--- /trunk/libIGCM/AA_additionnal	(revision 831)
+++ /trunk/libIGCM/AA_additionnal	(revision 832)
@@ -75,12 +75,13 @@
 
 . ${libIGCM}/libIGCM_debug/libIGCM_debug.ksh
-      ( ${DEBUG_debug} ) && IGCM_debug_Check
 . ${libIGCM}/libIGCM_card/libIGCM_card.ksh
-     ( ${DEBUG_debug} ) && IGCM_card_Check
 . ${libIGCM}/libIGCM_date/libIGCM_date.ksh
-     ( ${DEBUG_debug} ) && IGCM_date_Check
 #-------
 . ${libIGCM}/libIGCM_sys/libIGCM_sys.ksh
 . ${libIGCM}/libIGCM_config/libIGCM_config.ksh
+#-------
+( ${DEBUG_debug} ) && IGCM_debug_Check
+( ${DEBUG_debug} ) && IGCM_card_Check
+( ${DEBUG_debug} ) && IGCM_date_Check
 
 #######################################################################
Index: /trunk/libIGCM/AA_atlas_LMDZ
===================================================================
--- /trunk/libIGCM/AA_atlas_LMDZ	(revision 831)
+++ /trunk/libIGCM/AA_atlas_LMDZ	(revision 832)
@@ -75,12 +75,13 @@
 
 . ${libIGCM}/libIGCM_debug/libIGCM_debug.ksh
-      ( ${DEBUG_debug} ) && IGCM_debug_Check
 . ${libIGCM}/libIGCM_card/libIGCM_card.ksh
-     ( ${DEBUG_debug} ) && IGCM_card_Check
 . ${libIGCM}/libIGCM_date/libIGCM_date.ksh
-     ( ${DEBUG_debug} ) && IGCM_date_Check
 #-------
 . ${libIGCM}/libIGCM_sys/libIGCM_sys.ksh
 . ${libIGCM}/libIGCM_config/libIGCM_config.ksh
+#-------
+( ${DEBUG_debug} ) && IGCM_debug_Check
+( ${DEBUG_debug} ) && IGCM_card_Check
+( ${DEBUG_debug} ) && IGCM_date_Check
 
 ######################################################################
Index: /trunk/libIGCM/AA_atlas_ORCA_LIM
===================================================================
--- /trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 831)
+++ /trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 832)
@@ -75,12 +75,13 @@
 
 . ${libIGCM}/libIGCM_debug/libIGCM_debug.ksh
-      ( ${DEBUG_debug} ) && IGCM_debug_Check
 . ${libIGCM}/libIGCM_card/libIGCM_card.ksh
-     ( ${DEBUG_debug} ) && IGCM_card_Check
 . ${libIGCM}/libIGCM_date/libIGCM_date.ksh
-     ( ${DEBUG_debug} ) && IGCM_date_Check
 #-------
 . ${libIGCM}/libIGCM_sys/libIGCM_sys.ksh
 . ${libIGCM}/libIGCM_config/libIGCM_config.ksh
+#-------
+( ${DEBUG_debug} ) && IGCM_debug_Check
+( ${DEBUG_debug} ) && IGCM_card_Check
+( ${DEBUG_debug} ) && IGCM_date_Check
 
 ########################################################################
Index: /trunk/libIGCM/AA_atlas_ORCHIDEE
===================================================================
--- /trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 831)
+++ /trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 832)
@@ -84,12 +84,13 @@
 
 . ${libIGCM}/libIGCM_debug/libIGCM_debug.ksh
-      ( ${DEBUG_debug} ) && IGCM_debug_Check
 . ${libIGCM}/libIGCM_card/libIGCM_card.ksh
-     ( ${DEBUG_debug} ) && IGCM_card_Check
 . ${libIGCM}/libIGCM_date/libIGCM_date.ksh
-     ( ${DEBUG_debug} ) && IGCM_date_Check
 #-------
 . ${libIGCM}/libIGCM_sys/libIGCM_sys.ksh
 . ${libIGCM}/libIGCM_config/libIGCM_config.ksh
+#-------
+( ${DEBUG_debug} ) && IGCM_debug_Check
+( ${DEBUG_debug} ) && IGCM_card_Check
+( ${DEBUG_debug} ) && IGCM_date_Check
 
 ########################################################################
Index: /trunk/libIGCM/AA_atlas_PISCES
===================================================================
--- /trunk/libIGCM/AA_atlas_PISCES	(revision 831)
+++ /trunk/libIGCM/AA_atlas_PISCES	(revision 832)
@@ -75,12 +75,13 @@
 
 . ${libIGCM}/libIGCM_debug/libIGCM_debug.ksh
-      ( ${DEBUG_debug} ) && IGCM_debug_Check
 . ${libIGCM}/libIGCM_card/libIGCM_card.ksh
-     ( ${DEBUG_debug} ) && IGCM_card_Check
 . ${libIGCM}/libIGCM_date/libIGCM_date.ksh
-     ( ${DEBUG_debug} ) && IGCM_date_Check
 #-------
 . ${libIGCM}/libIGCM_sys/libIGCM_sys.ksh
 . ${libIGCM}/libIGCM_config/libIGCM_config.ksh
+#-------
+( ${DEBUG_debug} ) && IGCM_debug_Check
+( ${DEBUG_debug} ) && IGCM_card_Check
+( ${DEBUG_debug} ) && IGCM_date_Check
 
 ########################################################################
Index: /trunk/libIGCM/AA_clean_month
===================================================================
--- /trunk/libIGCM/AA_clean_month	(revision 831)
+++ /trunk/libIGCM/AA_clean_month	(revision 832)
@@ -42,13 +42,14 @@
 
 . ${libIGCM}/libIGCM_debug/libIGCM_debug.ksh
-       ( ${DEBUG_debug} ) && IGCM_debug_Check
 . ${libIGCM}/libIGCM_card/libIGCM_card.ksh
-       ( ${DEBUG_debug} ) && IGCM_card_Check
 . ${libIGCM}/libIGCM_date/libIGCM_date.ksh
-       ( ${DEBUG_debug} ) && IGCM_date_Check
 #-------
 SUBMIT_DIR=$( pwd )
 . ${libIGCM}/libIGCM_sys/libIGCM_sys.ksh
 . ${libIGCM}/libIGCM_config/libIGCM_config.ksh
+#-------
+( ${DEBUG_debug} ) && IGCM_debug_Check
+( ${DEBUG_debug} ) && IGCM_card_Check
+( ${DEBUG_debug} ) && IGCM_date_Check
 
 #==================================
Index: /trunk/libIGCM/AA_clean_year
===================================================================
--- /trunk/libIGCM/AA_clean_year	(revision 831)
+++ /trunk/libIGCM/AA_clean_year	(revision 832)
@@ -42,13 +42,14 @@
 
 . ${libIGCM}/libIGCM_debug/libIGCM_debug.ksh
-       ( ${DEBUG_debug} ) && IGCM_debug_Check
 . ${libIGCM}/libIGCM_card/libIGCM_card.ksh
-       ( ${DEBUG_debug} ) && IGCM_card_Check
 . ${libIGCM}/libIGCM_date/libIGCM_date.ksh
-       ( ${DEBUG_debug} ) && IGCM_date_Check
 #-------
 SUBMIT_DIR=$( pwd )
 . ${libIGCM}/libIGCM_sys/libIGCM_sys.ksh
 . ${libIGCM}/libIGCM_config/libIGCM_config.ksh
+#-------
+( ${DEBUG_debug} ) && IGCM_debug_Check
+( ${DEBUG_debug} ) && IGCM_card_Check
+( ${DEBUG_debug} ) && IGCM_date_Check
 
 #==================================
Index: /trunk/libIGCM/AA_create_multi_se
===================================================================
--- /trunk/libIGCM/AA_create_multi_se	(revision 831)
+++ /trunk/libIGCM/AA_create_multi_se	(revision 832)
@@ -130,12 +130,13 @@
 
 . ${libIGCM}/libIGCM_debug/libIGCM_debug.ksh
-      ( ${DEBUG_debug} ) && IGCM_debug_Check
 . ${libIGCM}/libIGCM_card/libIGCM_card.ksh
-     ( ${DEBUG_debug} ) && IGCM_card_Check
 . ${libIGCM}/libIGCM_date/libIGCM_date.ksh
-     ( ${DEBUG_debug} ) && IGCM_date_Check
 #-------
 . ${libIGCM}/libIGCM_sys/libIGCM_sys.ksh
 . ${libIGCM}/libIGCM_config/libIGCM_config.ksh
+#-------
+( ${DEBUG_debug} ) && IGCM_debug_Check
+( ${DEBUG_debug} ) && IGCM_card_Check
+( ${DEBUG_debug} ) && IGCM_date_Check
 
 ########################################################################
Index: /trunk/libIGCM/AA_create_se
===================================================================
--- /trunk/libIGCM/AA_create_se	(revision 831)
+++ /trunk/libIGCM/AA_create_se	(revision 832)
@@ -137,12 +137,13 @@
 
 . ${libIGCM}/libIGCM_debug/libIGCM_debug.ksh
-      ( ${DEBUG_debug} ) && IGCM_debug_Check
 . ${libIGCM}/libIGCM_card/libIGCM_card.ksh
-     ( ${DEBUG_debug} ) && IGCM_card_Check
 . ${libIGCM}/libIGCM_date/libIGCM_date.ksh
-     ( ${DEBUG_debug} ) && IGCM_date_Check
 #-------
 . ${libIGCM}/libIGCM_sys/libIGCM_sys.ksh
 . ${libIGCM}/libIGCM_config/libIGCM_config.ksh
+#-------
+( ${DEBUG_debug} ) && IGCM_debug_Check
+( ${DEBUG_debug} ) && IGCM_card_Check
+( ${DEBUG_debug} ) && IGCM_date_Check
 
 ########################################################################
Index: /trunk/libIGCM/AA_create_ts
===================================================================
--- /trunk/libIGCM/AA_create_ts	(revision 831)
+++ /trunk/libIGCM/AA_create_ts	(revision 832)
@@ -149,12 +149,13 @@
 
 . ${libIGCM}/libIGCM_debug/libIGCM_debug.ksh
-      ( ${DEBUG_debug} ) && IGCM_debug_Check
 . ${libIGCM}/libIGCM_card/libIGCM_card.ksh
-     ( ${DEBUG_debug} ) && IGCM_card_Check
 . ${libIGCM}/libIGCM_date/libIGCM_date.ksh
-     ( ${DEBUG_debug} ) && IGCM_date_Check
 #-------
 . ${libIGCM}/libIGCM_sys/libIGCM_sys.ksh
 . ${libIGCM}/libIGCM_config/libIGCM_config.ksh
+#-------
+( ${DEBUG_debug} ) && IGCM_debug_Check
+( ${DEBUG_debug} ) && IGCM_card_Check
+( ${DEBUG_debug} ) && IGCM_date_Check
 
 ########################################################################
Index: /trunk/libIGCM/AA_job
===================================================================
--- /trunk/libIGCM/AA_job	(revision 831)
+++ /trunk/libIGCM/AA_job	(revision 832)
@@ -195,9 +195,6 @@
 
 . ${libIGCM}/libIGCM_debug/libIGCM_debug.ksh
-( ${DEBUG_debug} ) && IGCM_debug_Check
 . ${libIGCM}/libIGCM_card/libIGCM_card.ksh
-( ${DEBUG_debug} ) && IGCM_card_Check
 . ${libIGCM}/libIGCM_date/libIGCM_date.ksh
-( ${DEBUG_debug} ) && IGCM_date_Check
 #-------
 . ${libIGCM}/libIGCM_sys/libIGCM_sys.ksh
@@ -205,4 +202,8 @@
 . ${libIGCM}/libIGCM_comp/libIGCM_comp.ksh
 . ${libIGCM}/libIGCM_post/libIGCM_post.ksh
+#-------
+( ${DEBUG_debug} ) && IGCM_debug_Check
+( ${DEBUG_debug} ) && IGCM_card_Check
+( ${DEBUG_debug} ) && IGCM_date_Check
 
 #--------------------------------------------------------------------==
Index: /trunk/libIGCM/AA_monitoring
===================================================================
--- /trunk/libIGCM/AA_monitoring	(revision 831)
+++ /trunk/libIGCM/AA_monitoring	(revision 832)
@@ -130,12 +130,13 @@
 
 . ${libIGCM}/libIGCM_debug/libIGCM_debug.ksh
-      ( ${DEBUG_debug} ) && IGCM_debug_Check
 . ${libIGCM}/libIGCM_card/libIGCM_card.ksh
-     ( ${DEBUG_debug} ) && IGCM_card_Check
 . ${libIGCM}/libIGCM_date/libIGCM_date.ksh
-     ( ${DEBUG_debug} ) && IGCM_date_Check
 #-------
 . ${libIGCM}/libIGCM_sys/libIGCM_sys.ksh
 . ${libIGCM}/libIGCM_config/libIGCM_config.ksh
+#-------
+( ${DEBUG_debug} ) && IGCM_debug_Check
+( ${DEBUG_debug} ) && IGCM_card_Check
+( ${DEBUG_debug} ) && IGCM_date_Check
 
 ######################################################################
Index: /trunk/libIGCM/AA_move-and-rename
===================================================================
--- /trunk/libIGCM/AA_move-and-rename	(revision 831)
+++ /trunk/libIGCM/AA_move-and-rename	(revision 832)
@@ -53,12 +53,13 @@
 
 . ${libIGCM}/libIGCM_debug/libIGCM_debug.ksh
-       ( ${DEBUG_debug} ) && IGCM_debug_Check
 . ${libIGCM}/libIGCM_card/libIGCM_card.ksh
-       ( ${DEBUG_debug} ) && IGCM_card_Check
 . ${libIGCM}/libIGCM_date/libIGCM_date.ksh
-       ( ${DEBUG_debug} ) && IGCM_date_Check
 #-------
 . ${libIGCM}/libIGCM_sys/libIGCM_sys.ksh
 . ${libIGCM}/libIGCM_config/libIGCM_config.ksh
+#-------
+( ${DEBUG_debug} ) && IGCM_debug_Check
+( ${DEBUG_debug} ) && IGCM_card_Check
+( ${DEBUG_debug} ) && IGCM_date_Check
 
 ########################################################################
Index: /trunk/libIGCM/AA_pack_debug
===================================================================
--- /trunk/libIGCM/AA_pack_debug	(revision 831)
+++ /trunk/libIGCM/AA_pack_debug	(revision 832)
@@ -147,13 +147,14 @@
 
 . ${libIGCM}/libIGCM_debug/libIGCM_debug.ksh
-( ${DEBUG_debug} ) && IGCM_debug_Check
 . ${libIGCM}/libIGCM_card/libIGCM_card.ksh
-( ${DEBUG_debug} ) && IGCM_card_Check
 . ${libIGCM}/libIGCM_date/libIGCM_date.ksh
-( ${DEBUG_debug} ) && IGCM_date_Check
 #-------
 . ${libIGCM}/libIGCM_sys/libIGCM_sys.ksh
 . ${libIGCM}/libIGCM_config/libIGCM_config.ksh
 . ${libIGCM}/libIGCM_post/libIGCM_post.ksh
+#-------
+( ${DEBUG_debug} ) && IGCM_debug_Check
+( ${DEBUG_debug} ) && IGCM_card_Check
+( ${DEBUG_debug} ) && IGCM_date_Check
 
 ########################################################################
Index: /trunk/libIGCM/AA_pack_output
===================================================================
--- /trunk/libIGCM/AA_pack_output	(revision 831)
+++ /trunk/libIGCM/AA_pack_output	(revision 832)
@@ -124,13 +124,14 @@
 
 . ${libIGCM}/libIGCM_debug/libIGCM_debug.ksh
-( ${DEBUG_debug} ) && IGCM_debug_Check
 . ${libIGCM}/libIGCM_card/libIGCM_card.ksh
-( ${DEBUG_debug} ) && IGCM_card_Check
 . ${libIGCM}/libIGCM_date/libIGCM_date.ksh
-( ${DEBUG_debug} ) && IGCM_date_Check
 #-------
 . ${libIGCM}/libIGCM_sys/libIGCM_sys.ksh
 . ${libIGCM}/libIGCM_config/libIGCM_config.ksh
 . ${libIGCM}/libIGCM_post/libIGCM_post.ksh
+#-------
+( ${DEBUG_debug} ) && IGCM_debug_Check
+( ${DEBUG_debug} ) && IGCM_card_Check
+( ${DEBUG_debug} ) && IGCM_date_Check
 
 ########################################################################
Index: /trunk/libIGCM/AA_pack_restart
===================================================================
--- /trunk/libIGCM/AA_pack_restart	(revision 831)
+++ /trunk/libIGCM/AA_pack_restart	(revision 832)
@@ -147,13 +147,14 @@
 
 . ${libIGCM}/libIGCM_debug/libIGCM_debug.ksh
-( ${DEBUG_debug} ) && IGCM_debug_Check
 . ${libIGCM}/libIGCM_card/libIGCM_card.ksh
-( ${DEBUG_debug} ) && IGCM_card_Check
 . ${libIGCM}/libIGCM_date/libIGCM_date.ksh
-( ${DEBUG_debug} ) && IGCM_date_Check
 #-------
 . ${libIGCM}/libIGCM_sys/libIGCM_sys.ksh
 . ${libIGCM}/libIGCM_config/libIGCM_config.ksh
 . ${libIGCM}/libIGCM_post/libIGCM_post.ksh
+#-------
+( ${DEBUG_debug} ) && IGCM_debug_Check
+( ${DEBUG_debug} ) && IGCM_card_Check
+( ${DEBUG_debug} ) && IGCM_date_Check
 
 ########################################################################
Index: /trunk/libIGCM/AA_rebuild_fromArchive
===================================================================
--- /trunk/libIGCM/AA_rebuild_fromArchive	(revision 831)
+++ /trunk/libIGCM/AA_rebuild_fromArchive	(revision 832)
@@ -161,12 +161,13 @@
 
 . ${libIGCM}/libIGCM_debug/libIGCM_debug.ksh
-      ( ${DEBUG_debug} ) && IGCM_debug_Check
 . ${libIGCM}/libIGCM_card/libIGCM_card.ksh
-     ( ${DEBUG_debug} ) && IGCM_card_Check
 . ${libIGCM}/libIGCM_date/libIGCM_date.ksh
-     ( ${DEBUG_debug} ) && IGCM_date_Check
 #-------
 . ${libIGCM}/libIGCM_sys/libIGCM_sys.ksh
 . ${libIGCM}/libIGCM_post/libIGCM_post.ksh
+#-------
+( ${DEBUG_debug} ) && IGCM_debug_Check
+( ${DEBUG_debug} ) && IGCM_card_Check
+( ${DEBUG_debug} ) && IGCM_date_Check
 
 ########################################################################
Index: /trunk/libIGCM/AA_rebuild_fromWorkdir
===================================================================
--- /trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 831)
+++ /trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 832)
@@ -161,12 +161,13 @@
 
 . ${libIGCM}/libIGCM_debug/libIGCM_debug.ksh
-      ( ${DEBUG_debug} ) && IGCM_debug_Check
 . ${libIGCM}/libIGCM_card/libIGCM_card.ksh
-     ( ${DEBUG_debug} ) && IGCM_card_Check
 . ${libIGCM}/libIGCM_date/libIGCM_date.ksh
-     ( ${DEBUG_debug} ) && IGCM_date_Check
 #-------
 . ${libIGCM}/libIGCM_sys/libIGCM_sys.ksh
 . ${libIGCM}/libIGCM_post/libIGCM_post.ksh
+#-------
+( ${DEBUG_debug} ) && IGCM_debug_Check
+( ${DEBUG_debug} ) && IGCM_card_Check
+( ${DEBUG_debug} ) && IGCM_date_Check
 
 ########################################################################