Index: /trunk/libIGCM/AA_SE_Checker
===================================================================
--- /trunk/libIGCM/AA_SE_Checker	(revision 836)
+++ /trunk/libIGCM/AA_SE_Checker	(revision 837)
@@ -43,7 +43,4 @@
 # rÃ©pertoire de stockage des sorties des create_ts
 POST_DIR=${POST_DIR:=${CARD_DIR}/OutScript}
-
-# project 
-export BRIDGE_MSUB_PROJECT=gen2211
 
 if [ ! -d ${CARD_DIR} ]; then
Index: /trunk/libIGCM/AA_TimeSeries_Checker
===================================================================
--- /trunk/libIGCM/AA_TimeSeries_Checker	(revision 836)
+++ /trunk/libIGCM/AA_TimeSeries_Checker	(revision 837)
@@ -43,7 +43,4 @@
 # rÃ©pertoire de stockage des sorties des create_ts
 POST_DIR=${POST_DIR:=${CARD_DIR}/OutScript}
-
-# project 
-export BRIDGE_MSUB_PROJECT=gen2211
 
 if [ ! -d ${CARD_DIR} ]; then
Index: /trunk/libIGCM/AA_additionnal
===================================================================
--- /trunk/libIGCM/AA_additionnal	(revision 836)
+++ /trunk/libIGCM/AA_additionnal	(revision 837)
@@ -8,4 +8,5 @@
 #-Q- curie #MSUB -q xlarge
 #-Q- curie #MSUB -Q normal
+#-Q- curie #MSUB -A ::default_project::
 #-Q- curie set +x
 #-Q- ada #!/bin/ksh
Index: /trunk/libIGCM/AA_atlas_LMDZ
===================================================================
--- /trunk/libIGCM/AA_atlas_LMDZ	(revision 836)
+++ /trunk/libIGCM/AA_atlas_LMDZ	(revision 837)
@@ -2,5 +2,5 @@
 #-Q- curie ## CURIE   TGCC/CEA ##
 #-Q- curie ######################
-#-Q- curie #MSUB -r ATL_LMDZ       # Nom du job               
+#-Q- curie #MSUB -r ATL_LMDZ       # Nom du job
 #-Q- curie #MSUB -eo
 #-Q- curie #MSUB -n 1              # Reservation du processus
@@ -8,4 +8,5 @@
 #-Q- curie #MSUB -q xlarge
 #-Q- curie #MSUB -Q normal
+#-Q- curie #MSUB -A ::default_project::
 #-Q- curie set +x
 #-Q- ada #!/bin/ksh
@@ -17,5 +18,5 @@
 #-Q- ada # Nom du travail LoadLeveler
 #-Q- ada # @ job_name   = ATL_LMDZ
-#-Q- ada # Fichier de sortie standard du travail       
+#-Q- ada # Fichier de sortie standard du travail
 #-Q- ada # @ output     = $(job_name).$(jobid)
 #-Q- ada # Fichier de sortie d'erreur du travail
@@ -40,5 +41,5 @@
 #-Q- titane ## TITANE   CEA ##
 #-Q- titane ######################
-#-Q- titane #MSUB -r ATL_LMDZ       # Nom du job                
+#-Q- titane #MSUB -r ATL_LMDZ       # Nom du job
 #-Q- titane #MSUB -eo
 #-Q- titane #MSUB -n 1              # Reservation du processus
Index: /trunk/libIGCM/AA_atlas_ORCA_LIM
===================================================================
--- /trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 836)
+++ /trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 837)
@@ -8,4 +8,5 @@
 #-Q- curie #MSUB -q xlarge
 #-Q- curie #MSUB -Q normal
+#-Q- curie #MSUB -A ::default_project::
 #-Q- curie set +x
 #-Q- ada #!/bin/ksh
Index: /trunk/libIGCM/AA_atlas_ORCHIDEE
===================================================================
--- /trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 836)
+++ /trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 837)
@@ -8,4 +8,5 @@
 #-Q- curie #MSUB -q xlarge
 #-Q- curie #MSUB -Q normal
+#-Q- curie #MSUB -A ::default_project::
 #-Q- curie set +x
 #-Q- ada #!/bin/ksh
Index: /trunk/libIGCM/AA_atlas_PISCES
===================================================================
--- /trunk/libIGCM/AA_atlas_PISCES	(revision 836)
+++ /trunk/libIGCM/AA_atlas_PISCES	(revision 837)
@@ -8,4 +8,5 @@
 #-Q- curie #MSUB -q xlarge
 #-Q- curie #MSUB -Q normal
+#-Q- curie #MSUB -A ::default_project::
 #-Q- curie set +x
 #-Q- ada #!/bin/ksh
Index: /trunk/libIGCM/AA_create_multi_se
===================================================================
--- /trunk/libIGCM/AA_create_multi_se	(revision 836)
+++ /trunk/libIGCM/AA_create_multi_se	(revision 837)
@@ -8,4 +8,5 @@
 #-Q- curie #MSUB -q xlarge
 #-Q- curie #MSUB -Q normal
+#-Q- curie #MSUB -A ::default_project::
 #-Q- curie set +x
 #-Q- ada #!/bin/ksh
Index: /trunk/libIGCM/AA_create_se
===================================================================
--- /trunk/libIGCM/AA_create_se	(revision 836)
+++ /trunk/libIGCM/AA_create_se	(revision 837)
@@ -8,4 +8,5 @@
 #-Q- curie #MSUB -q xlarge
 #-Q- curie #MSUB -Q normal
+#-Q- curie #MSUB -A ::default_project::
 #-Q- curie set +x
 #-Q- ada #!/bin/ksh
Index: /trunk/libIGCM/AA_create_ts
===================================================================
--- /trunk/libIGCM/AA_create_ts	(revision 836)
+++ /trunk/libIGCM/AA_create_ts	(revision 837)
@@ -8,4 +8,5 @@
 #-Q- curie #MSUB -q xlarge
 #-Q- curie #MSUB -Q normal
+#-Q- curie #MSUB -A ::default_project::
 #-Q- curie set +x
 #-Q- ada #!/bin/ksh
Index: /trunk/libIGCM/AA_job
===================================================================
--- /trunk/libIGCM/AA_job	(revision 836)
+++ /trunk/libIGCM/AA_job	(revision 837)
@@ -10,5 +10,5 @@
 #-Q- curie #MSUB -T 86400             # Limite temps (en secondes)
 #-Q- curie #MSUB -q standard
-#-Q- curie ##MSUB -A gen****
+#-Q- curie #MSUB -A ::default_project::
 #-Q- curie BATCH_NUM_PROC_TOT=$BRIDGE_MSUB_NPROC
 #-Q- curie set +x
Index: /trunk/libIGCM/AA_monitoring
===================================================================
--- /trunk/libIGCM/AA_monitoring	(revision 836)
+++ /trunk/libIGCM/AA_monitoring	(revision 837)
@@ -2,5 +2,5 @@
 #-Q- curie ## CURIE   TGCC/CEA ##
 #-Q- curie ######################
-#-Q- curie #MSUB -r MONITORING     # Nom du job               
+#-Q- curie #MSUB -r MONITORING     # Nom du job
 #-Q- curie #MSUB -eo
 #-Q- curie #MSUB -n 1              # Reservation du processus
@@ -8,4 +8,5 @@
 #-Q- curie #MSUB -q xlarge
 #-Q- curie #MSUB -Q normal
+#-Q- curie #MSUB -A ::default_project::
 #-Q- curie set +x
 #-Q- ada #!/bin/ksh
@@ -17,5 +18,5 @@
 #-Q- ada # Nom du travail LoadLeveler
 #-Q- ada # @ job_name   = MONITORING
-#-Q- ada # Fichier de sortie standard du travail       
+#-Q- ada # Fichier de sortie standard du travail
 #-Q- ada # @ output     = $(job_name).$(jobid)
 #-Q- ada # Fichier de sortie d'erreur du travail
@@ -40,5 +41,5 @@
 #-Q- titane ## TITANE   CEA ##
 #-Q- titane ######################
-#-Q- titane #MSUB -r MONITORING     # Nom du job                
+#-Q- titane #MSUB -r MONITORING     # Nom du job
 #-Q- titane #MSUB -eo
 #-Q- titane #MSUB -n 1              # Reservation du processus
Index: /trunk/libIGCM/AA_pack_debug
===================================================================
--- /trunk/libIGCM/AA_pack_debug	(revision 836)
+++ /trunk/libIGCM/AA_pack_debug	(revision 837)
@@ -2,5 +2,5 @@
 #-Q- curie ## CURIE   TGCC/CEA ##
 #-Q- curie ######################
-#-Q- curie #MSUB -r PACKDEBUG      # Nom du job               
+#-Q- curie #MSUB -r PACKDEBUG      # Nom du job
 #-Q- curie #MSUB -eo
 #-Q- curie #MSUB -n 1              # Reservation du processus
@@ -8,4 +8,5 @@
 #-Q- curie #MSUB -q xlarge
 #-Q- curie #MSUB -Q normal
+#-Q- curie #MSUB -A ::default_project::
 #-Q- curie set +x
 #-Q- ada #!/bin/ksh
Index: /trunk/libIGCM/AA_pack_output
===================================================================
--- /trunk/libIGCM/AA_pack_output	(revision 836)
+++ /trunk/libIGCM/AA_pack_output	(revision 837)
@@ -2,5 +2,5 @@
 #-Q- curie ## CURIE   TGCC/CEA ##
 #-Q- curie ######################
-#-Q- curie #MSUB -r PACKOUTPUT     # Nom du job               
+#-Q- curie #MSUB -r PACKOUTPUT     # Nom du job
 #-Q- curie #MSUB -eo
 #-Q- curie #MSUB -n 1              # Reservation du processus
@@ -8,4 +8,5 @@
 #-Q- curie #MSUB -q xlarge
 #-Q- curie #MSUB -Q normal
+#-Q- curie #MSUB -A ::default_project::
 #-Q- curie set +x
 #-Q- ada #!/bin/ksh
Index: /trunk/libIGCM/AA_pack_restart
===================================================================
--- /trunk/libIGCM/AA_pack_restart	(revision 836)
+++ /trunk/libIGCM/AA_pack_restart	(revision 837)
@@ -2,5 +2,5 @@
 #-Q- curie ## CURIE   TGCC/CEA ##
 #-Q- curie ######################
-#-Q- curie #MSUB -r PACKRESTART    # Nom du job               
+#-Q- curie #MSUB -r PACKRESTART    # Nom du job
 #-Q- curie #MSUB -eo
 #-Q- curie #MSUB -n 1              # Reservation du processus
@@ -8,4 +8,5 @@
 #-Q- curie #MSUB -q xlarge
 #-Q- curie #MSUB -Q normal
+#-Q- curie #MSUB -A ::default_project::
 #-Q- curie set +x
 #-Q- ada #!/bin/ksh
Index: /trunk/libIGCM/AA_rebuild_fromArchive
===================================================================
--- /trunk/libIGCM/AA_rebuild_fromArchive	(revision 836)
+++ /trunk/libIGCM/AA_rebuild_fromArchive	(revision 837)
@@ -8,4 +8,5 @@
 #-Q- curie #MSUB -q xlarge
 #-Q- curie #MSUB -Q normal
+#-Q- curie #MSUB -A ::default_project::
 #-Q- curie set +x
 #-Q- ada #!/bin/ksh
@@ -40,5 +41,5 @@
 #-Q- titane ## TITANE   CEA     ##
 #-Q- titane ######################
-#-Q- titane #MSUB -r REBUILDARCH     # Nom du job                
+#-Q- titane #MSUB -r REBUILDARCH     # Nom du job
 #-Q- titane #MSUB -eo
 #-Q- titane #MSUB -n 1               # Reservation du processus
Index: /trunk/libIGCM/AA_rebuild_fromWorkdir
===================================================================
--- /trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 836)
+++ /trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 837)
@@ -2,5 +2,5 @@
 #-Q- curie ## CURIE   TGCC/CEA ##
 #-Q- curie ######################
-#-Q- curie #MSUB -r REBUILDWRK     # Nom du job               
+#-Q- curie #MSUB -r REBUILDWRK     # Nom du job
 #-Q- curie #MSUB -eo
 #-Q- curie #MSUB -n 1              # Reservation du processus
@@ -8,4 +8,5 @@
 #-Q- curie #MSUB -q xlarge
 #-Q- curie #MSUB -Q normal
+#-Q- curie #MSUB -A ::default_project::
 #-Q- curie set +x
 #-Q- ada #!/bin/ksh
@@ -40,5 +41,5 @@
 #-Q- titane ## TITANE   CEA     ##
 #-Q- titane ######################
-#-Q- titane #MSUB -r REBUILDWRK     # Nom du job                
+#-Q- titane #MSUB -r REBUILDWRK     # Nom du job
 #-Q- titane #MSUB -eo
 #-Q- titane #MSUB -n 1              # Reservation du processus